# PersistentModifierRequirement | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PersistentModifierRequirement

#### Hierarchy (View Summary)

- EncounterSceneRequirement
  - PersistentModifierRequirement

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:362

##### Index

### Constructors

constructor

### Properties

minNumberOfItems
requiredHeldItemModifiers

### Methods

getDialogueToken
meetsRequirement

## Constructors

### constructor

- new PersistentModifierRequirement(
  heldItem: string | string[],
  minNumberOfItems?: number,
  ): PersistentModifierRequirement

  #### Parameters

  - heldItem: string | string[]
  - minNumberOfItems: number = 1

  #### Returns PersistentModifierRequirement

  Overrides EncounterSceneRequirement.constructor

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:366

## Properties

### minNumberOfItems

minNumberOfItems: number

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:364

### requiredHeldItemModifiers

requiredHeldItemModifiers: string[]

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:363

## Methods

### getDialogueToken

- getDialogueToken(_pokemon?: PlayerPokemon ): [string, string]

  Returns a dialogue token key/value pair for a given Requirement. Should be overridden by child Requirement classes.

  #### Parameters

  - `Optional`_pokemon: PlayerPokemon

  #### Returns [string, string]

  Overrides EncounterSceneRequirement.getDialogueToken

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:390

### meetsRequirement

- meetsRequirement(): boolean

  Returns whether the EncounterSceneRequirement's... requirements, are met by the given scene

  #### Returns boolean

  Overrides EncounterSceneRequirement.meetsRequirement

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:372